Bug 436775 - Xen: Add "Warning" to the output of the "time went backwards" message
Xen: Add "Warning" to the output of the "time went backwards" message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
medium Severity high
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 08:42 EDT by Prarit Bhargava
Modified: 2008-05-21 11:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (681 bytes, patch)
2008-03-10 08:46 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (785 bytes, patch)
2008-03-10 08:50 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-03-10 08:42:41 EDT
Description of problem:  Currently, RHTS & QA testing grep output logs for the
phrases "Warning", "Error", etc..

The xen "time went backwards" warning has no keyword to grep for -- we should
add one.

Version-Release number of selected component (if applicable): 2.6.18-84.el5


Additional info: Patch coming ....
Comment 1 Prarit Bhargava 2008-03-10 08:44:17 EDT
Martin, this is a very low risk patch.  I'm wondering if you have any concerns
with me requesting an exception on this issue?  I'd like to see 5.2 go out with
this patch.
Comment 2 Bill Burns 2008-03-10 08:45:43 EDT
Set flags.
Comment 3 Prarit Bhargava 2008-03-10 08:46:02 EDT
Created attachment 297423 [details]
RHEL5 fix for this issue
Comment 4 Bill Burns 2008-03-10 08:46:48 EDT
Strong feeling that this message needs to be flagged as a warning wihtin
engineering. Thus the exception request. Very low risk.
Comment 6 Prarit Bhargava 2008-03-10 08:50:50 EDT
Created attachment 297424 [details]
RHEL5 fix for this issue

Oops ... forgot to add KERN_WARNING ;)
Comment 12 Don Zickus 2008-03-26 16:31:54 EDT
in kernel-2.6.18-87.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 errata-xmlrpc 2008-05-21 11:11:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.